import * as $dara from '@darabonba/typescript';
import { DescribeImageEventOperationConditionResponseBody } from "./DescribeImageEventOperationConditionResponseBody";
export declare class DescribeImageEventOperationConditionResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeImageEventOperationConditionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
